Watch, Follow, &
Connect with Us

Please visit our new home
community.embarcadero.com.

Public Report
Report From: 3rdRail/WST + Eclipse Core    [ Add a report in this area ]  
Report #:  54841   Status: Open
Updating Eclipse attempts to pull in JDT
Project:  3rdRail Build #:  20070909-1913
Version:    unspecifie Submitted By:   Stewart Ward
Report Type:  Basic functionality failure Date Reported:  11/14/2007 12:33:06 PM
Severity:    Serious / Highly visible problem Last Updated: 3/20/2012 2:24:39 AM
Platform:    All platforms Internal Tracking #:   5677
Resolution: None (Resolution Comments) Resolved in Build: : None
Duplicate of:  None
Voting and Rating
Overall Rating: No Ratings Yet
0.00 out of 5
Total Votes: None
Description
3rdRail uses a modified version of EMF that does not have dependencies on JDT.

3rdRail should update EMF using the CodeGear update site, rather than the default Eclipse site.

BTS 5677
Steps to Reproduce:
Help --> Software Update either Manage configuration or find and install
Choose the packages in Manage Configuration to upgrade.
Find and install attempts to do it itself.
But still errors out.

QA steps:

Help | Software Update | Find and install | Search for updates of current features

click finish

periodic prompts to select update site mirrors ...

finally "select features to install" dialog appears.

Error:

Eclipse Modeling Framework (EMF) - org.eclipse.emf.codegen (2.3.1.v200802051830) requires plug-in "org.eclipse.jdt.core".

finish button is disabled.


Workarounds
No work around as of yet
Attachment
None
Comments

None

Server Response from: ETNACODE01